import { buildUseVueQuery } from "../../../../vue-query";
import { createGetIncentivizedPackets, createGetIncentivizedPacket, createGetIncentivizedPacketsForChannel, createGetTotalRecvFees, createGetTotalAckFees, createGetTotalTimeoutFees, createGetPayee, createGetCounterpartyPayee, createGetFeeEnabledChannels, createGetFeeEnabledChannel } from "./query.rpc.func";
export const useGetIncentivizedPackets = buildUseVueQuery({
    builderQueryFn: createGetIncentivizedPackets,
    queryKeyPrefix: "IncentivizedPacketsQuery"
});
export const useGetIncentivizedPacket = buildUseVueQuery({
    builderQueryFn: createGetIncentivizedPacket,
    queryKeyPrefix: "IncentivizedPacketQuery"
});
export const useGetIncentivizedPacketsForChannel = buildUseVueQuery({
    builderQueryFn: createGetIncentivizedPacketsForChannel,
    queryKeyPrefix: "IncentivizedPacketsForChannelQuery"
});
export const useGetTotalRecvFees = buildUseVueQuery({
    builderQueryFn: createGetTotalRecvFees,
    queryKeyPrefix: "TotalRecvFeesQuery"
});
export const useGetTotalAckFees = buildUseVueQuery({
    builderQueryFn: createGetTotalAckFees,
    queryKeyPrefix: "TotalAckFeesQuery"
});
export const useGetTotalTimeoutFees = buildUseVueQuery({
    builderQueryFn: createGetTotalTimeoutFees,
    queryKeyPrefix: "TotalTimeoutFeesQuery"
});
export const useGetPayee = buildUseVueQuery({
    builderQueryFn: createGetPayee,
    queryKeyPrefix: "PayeeQuery"
});
export const useGetCounterpartyPayee = buildUseVueQuery({
    builderQueryFn: createGetCounterpartyPayee,
    queryKeyPrefix: "CounterpartyPayeeQuery"
});
export const useGetFeeEnabledChannels = buildUseVueQuery({
    builderQueryFn: createGetFeeEnabledChannels,
    queryKeyPrefix: "FeeEnabledChannelsQuery"
});
export const useGetFeeEnabledChannel = buildUseVueQuery({
    builderQueryFn: createGetFeeEnabledChannel,
    queryKeyPrefix: "FeeEnabledChannelQuery"
});
